$:.push File.expand_path("../lib", __FILE__)

# Maintain your gem's version:
require "patchfile/version"
app_path = File.expand_path(__dir__)
if !Dir.exist?("#{ENV['PWD']}"+"/app/assets/stylesheets/lib/jquery-ui-1.12.1/")
	puts "copying jquery-ui"
	begin
	`cp -r "#{app_path}/updatefiles/accessibility/jquery-ui-1.12.1/." "#{ENV['PWD']}/app/assets/stylesheets/lib/jquery-ui-1.12.1/"`
	rescue
		puts "There is an error in coppying jquery-ui"
	end
end
#Add patchfile to Admin area
@patchfile_li = File.read(app_path+"/patchfile_li.txt")
@patchfile_li_choices = File.read(app_path+"/patchfile_li_choices.txt")
@file_text = File.read(ENV['PWD']+'/app/views/shared/_side_bar.html.erb')
if !@file_text.include?('<div class="patchfile sub-nav-block icons-megaphone">')
	@indert_index = @file_text.index('</nav>')
	@file_text.insert(@indert_index , @patchfile_li_choices)
end
if !@file_text.include?('patchfile_li')
	@indert_index = @file_text.index('<li title="<%= t(\'site_info\') %>">')
	@file_text.insert(@indert_index , @patchfile_li)
end
f = File.open(ENV['PWD']+'/app/views/shared/_side_bar.html.erb','w')
f.write(@file_text)
f.close
puts "finish change patchfile in #{ENV['PWD']}/app/views/shared"
# Describe your gem and declare its dependencies:
Gem::Specification.new do |s|
  s.name        = "patchfile"
  s.version     = Patchfile::VERSION
  s.authors     = ["Ruling Digital"]
  s.email       = ["orbit@rulingcom.com"]
  s.homepage    = "http://www.rulingcom.com"
  s.summary     = "Patch_file for Orbit"
  s.description = "Patch_file for Orbit"
  s.license     = "MIT"

  s.files = Dir["{app,config,db,lib}/**/*", "MIT-LICENSE", "Rakefile", "README.rdoc"]
  s.test_files = Dir["test/**/*"]
end
